<!DOCTYPE html>
<html lang="ko"
	  xmlns:th="http://www.thymeleaf.org">
<!--
 *******************************************************************************
 * @source  : ConsentUseInfoFormWeb.html
 * @desc    : 정보이용동의팝업
 *            Yes24 간편가입에 사용됨
 *============================================================================
 * STYLE24
 * Copyright(C) 2021 TSIT, All rights reserved.
 *============================================================================
 * VER  DATE         AUTHOR      DESCRIPTION
 * ===  ===========  ==========  =============================================
 * 1.0  2021.03.25   jsshin       최초 작성
 *******************************************************************************
 -->
<div class="modal-dialog" role="document">
	<div class="modal-content">
		<div class="modal-header">
			<h5 class="modal-title" id="mbAgreeLabel">STYLE24 로그인 정보 이용동의</h5>
		</div>
		<div class="modal-body">
			<div class="pop_cont">
				<div class="agree_info">
					<p>계정 연동 시, STYLE24 휴면계정은 휴면해제 후 이용 가능합니다.</p>
					<div class="info_txt">
						<ul>
							<li>“<span class="mb_name" th:text="${custNm}">회원명</span>” 님의 <em>CI, 이름, 성별, 생년월일, 핸드폰번호, 이메일 정보</em>를 로그인 연동을 위해 아이스타일24에 제공합니다.</li>
							<li>정보제공 동의 시 YES24 계정으로 로그인 가능하며, 간편하게 회원가입이 가능합니다.</li>
						</ul>
					</div>
				</div>
			</div>
		</div>
		<div class="modal-footer">
			<div class="btn_group_block ui_row">
				<div class="ui_col_6">
					<button type="button" id="btnAgree" class="btn btn_primary btn_block">
						<span>동의하기</span>
					</button>
				</div>
				<div class="ui_col_6">
					<button type="button" id="btnClose" class="btn btn_dark btn_block" >
						<span>닫기</span>
					</button>
				</div>
			</div>
		</div>
	</div>
</div>
<script th:inline="javascript">
	/*<![CDATA[*/
	$('#btnAgree').on('click', function () {
		let jsonData = JSON.stringify({});
		gagajf.ajaxJsonSubmit('/customer/peristalsis/yes24', jsonData, fnPeristalsisCallback)
	});

	var fnPeristalsisCallback = function (userInfo) {
		// 1. CI 정보로 사용자가 없어서 회원가입 프로세스 처리 중 이메일, 휴대전화 중복
		if (userInfo.custStat === 'DUP_PHONE_CUST') {
			mcxDialog.alert("이미 사용 중인 휴대전화번호 입니다.");
			$.modal.close();
			return;
		}
		if (userInfo.custStat === 'DUP_EMAIL_CUST') {
			mcxDialog.alert("이미 사용 중인 이메일 입니다.");
			$.modal.close();
			return;
		}
		// 2. SNS 로그인 정보로 탈퇴확인
		if (userInfo.custStat === 'SECEDE_CUST') {
			mcxDialog.alert("탈퇴 회원 입니다.");
			$.modal.close();
			return;
		}
		// 3. SNS 로그인 정보로 휴면확인
		if (userInfo.custStat === 'DORMANT_CUST') {
			mcxDialog.alertC("휴면 고객님께서는 휴면을<br>해지하신 후 사용하실 수 있습니다.", {
				sureBtnText: "확인",
				sureBtnClick: function() {
					cfnGoToPage(_PAGE_CUSTOMER_DORMANT);
					$.modal.close();
				}
			});
			return;
		}
		// 4. 휴대전화 정보가 없으면 SNS 가입화면 이동
		if (userInfo.custStat === 'EMPTY_PHONE_CUST') {
			cfnGoToPage(_PAGE_CUSTOMER_SNS_JOIN);
			$.modal.close();
			return;
		}
		// 5. SNS 정보로 가입 성공시 가입완료 페이지 이동
		if (userInfo.custStat === 'NEW_CUST') {
			cfnGoToPage(_PAGE_CUSTOMER_JOIN_COMPLETE);
			$.modal.close();
			return;
		}
		// 6.SNS 정보로 가입 실패시 안내 창 알림
		if (userInfo.custStat === 'FAIL_CUST') {
			mcxDialog.alert("회원가입에 실패 했습니다.<br> 고객센터에 문의 하시기 바랍니다.");
			$.modal.close();
			return;
		}
		// 7.CI 정보가 없을때 안내 창 알림
		if (userInfo.custStat === 'EMPTY_CI_CUST') {
			mcxDialog.alert("연계정보(CI) 값이 없습니다.<br> 고객센터에 문의 하시기 바랍니다.");
			$.modal.close();
			return;
		}
		// 8. SNS 로그인 연동 성공 및 기존 SNS 연동된 회원 로그인 시도
		if (userInfo.custStat === 'SUCC_CUST') {
			let params = {};
			params.snsType = userInfo.snsType;
			params.snsId = [[${snsLoginPrefix}]] + userInfo.snsId;
			$.post(_frontUrl + '/login'
				, $.param(params)
				, fnReloadAfterLogin
				, "json");
		}
	}
	var fnReloadAfterLogin = function(result) {
		if (result.status === 'OK') {
			document.location.href = result.returnUrl;
		} else {
			mcxDialog.alert("로그인 실패 하였습니다.<br> 고객센터에 문의 하시기 바랍니다.");
		}
		$.modal.close();
	};

	$("#btnClose").click(function() {
		cfnGoToPage(_PAGE_CUSTOMER_JOIN_TYPE);
		$.modal.close();
	});

	/*]]>*/
</script>
</html>